/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */
#pragma once

#include "CoreMinimal.h"
#include "Factories/Factory.h"
#include "Graph/Assets/InworldGraphAsset.h"

#include "InworldGraphFactory.generated.h"

UCLASS()
class INWORLDRUNTIMEEDITOR_API UInworldGraphFactory : public UFactory
{
	GENERATED_BODY()

public:
	UInworldGraphFactory();

	virtual UObject* FactoryCreateNew(UClass* Class, UObject* InParent, FName Name, EObjectFlags Flags, UObject* Context, FFeedbackContext* Warn) override;
};
